<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>GCM API(list-of-product-contracts) Client</title>
<script type="text/javascript" src="common.js"></script>
<script type="text/javascript">
<!--
function executeHttpRequest() {
  // define
  var url = "/api/v2/views/list-of-product-contracts";

  // get form values.
  var sessionID          = document.getElementById("sessionID").value;           // alert(sessionID);
  var contractCustomerId = document.getElementById("contractCustomerId").value;  // alert(contractCustomerId);
  var contractProductId  = document.getElementById("contractProductId").value;   // alert(contractProductId);
  var updatedAfter       = document.getElementById("updatedAfter").value;        // alert(updatedAfter);
  var status             = document.getElementById("status").value;              // alert(status);
  var allVersions        = document.getElementById("allVersions").value;         // alert(allVersions);

  // set callback function
  var req = new XMLHttpRequest();
  if (req) {
    req.onreadystatechange = function(){
      var objResponseStatus = document.getElementById("restResponseStatus");
      var objResponse = document.getElementById("restResponse");
      if (req.readyState == 4) {
        objResponseStatus.textContent = req.status;
        objResponse.textContent = req.responseText;
      } else {
        objResponseStatus.textContent = '';
        objResponse.textContent = '';
      }
    };
  }

  // build request-path(include query string)
  var strRequest = url;
  strRequest = strRequest + "?contract-customer-id="        + contractCustomerId;
  strRequest = strRequest + "&contract-product-id="  + contractProductId;
  strRequest = strRequest + "&updated-after=" + updatedAfter;
  strRequest = strRequest + "&status=" + status;
  if (allVersions=="1") {
    strRequest = strRequest + "&all-versions";
  }

  // disp request-path
  var objRequestPath = document.getElementById("requestPath");
  objRequestPath.textContent = strRequest;

  // executes http-request
  req.open('GET', strRequest, true);
  req.setRequestHeader("session-id", sessionID);
  req.send(null);

  alert("Submit(GET) Complete.");
}
//-->
</script>
</head>
<body>
<h1>List of Product Contracts</h1>
<h2>Request</h2>
<form name="fm">
<table><tbody>
<tr><td align="right">SessionID:</td><td><input type="text" id="sessionID" size="30"><input type="button" onClick="document.getElementById('sessionID').value=getSessionId()" value="[GetSession]"></td></tr>
<tr><td align="right">ContractCustomerID:</td><td><input type="text" id="contractCustomerId" size="30"></td></tr>
<tr><td align="right">ContractProductID:</td><td><input type="text" id="contractProductId" size="30"></td></tr>
<tr><td align="right">UpdatedAfter:</td><td><input type="text" id="updatedAfter" size="30"></td></tr>
<tr><td align="right">Status:</td><td><input type="text" id="status" size="30"></td></tr>
<tr><td align="right">AllVersions:</td><td><SELECT id="allVersions"><OPTION value="0">Disabled</OPTION><OPTION value="1">Enabled</OPTION></SELECT></td></tr>
</tbody></table>
<input type="button" onClick="executeHttpRequest()" value="Submit">
</form>
<br>
RequestPath&nbsp;->&nbsp;<span id="requestPath"></span>
<hr>

<h2>Response</h2>
StatusCode: <span id="restResponseStatus"></span>
<pre><span id="restResponse"></span></pre>

</body>

</html>